Get a temporary PDF URL for a filed document
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/pdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00123",
"filingID": "2"
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/pdf"
payload = {
"caseID": "2025-08-00123",
"filingID": "2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caseID: '2025-08-00123', filingID: '2'})
};
fetch('https://api.platform.arb.inc/filings/documents/pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://secure-storage.arb.inc/filings/2025-08-00123/22",
"validForSeconds": 3600
}"The specified document could not be found.""The specified case could not be found.""You do not have permission to view this document.""The specified document is only accessible from the docket."filings
Get a temporary PDF URL for a filed document
Returns a short-lived URL to download the PDF of a filed document in a case.
POST
/
filings
/
documents
/
pdf
Get a temporary PDF URL for a filed document
Authorizations
access token
Body
application/json
⌘I